Bug 844856 - libra_check runtime tests are taking longer than US2544
libra_check runtime tests are taking longer than US2544
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Dan Mace
libra bugs
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-01 00:10 EDT by Dan McPherson
Modified: 2015-05-14 18:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-29 14:26:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan McPherson 2012-08-01 00:10:33 EDT
Actual results:



          -----------------------------------------------------------
                       End Output From Runtime Group 2 Tests
          -----------------------------------------------------------
      

Still Running Tests (13m 59s):
   ["Runtime Group 1"]
   ["Runtime Group 3"]
   ["Runtime Group 4", "Site Check"]


          -----------------------------------------------------------
                      Begin Output From Runtime Group 1 Tests
          -----------------------------------------------------------

simple: 817 ruby 1.8.7 2011-06-30 [x86_64-linux]
--------------.-----------......----....----..---..---.---..-------------------.-----.-------------------....-----------................----------------------.

25 scenarios (25 passed)
233 steps (233 passed)
11m46.933s
2012-07-31 23:08:54 warning Connection [20700 127.0.0.1:5671] closed

          -----------------------------------------------------------
                       End Output From Runtime Group 1 Tests
          -----------------------------------------------------------
      

Still Running Tests (15m 37s):
   ["Runtime Group 3"]
   ["Runtime Group 4", "Site Check"]


          -----------------------------------------------------------
                      Begin Output From Runtime Group 3 Tests
          -----------------------------------------------------------

simple: 19500 ruby 1.8.7 2011-06-30 [x86_64-linux]
------------................----------------------.

9 scenarios (9 passed)
118 steps (118 passed)
9m17.843s

          -----------------------------------------------------------
                       End Output From Runtime Group 3 Tests
          -----------------------------------------------------------
      

Still Running Tests (15m 49s):
   ["Runtime Group 4", "Site Check"]


          -----------------------------------------------------------
                      Begin Output From Runtime Group 4 Tests
          -----------------------------------------------------------

simple: 6832 ruby 1.8.7 2011-06-30 [x86_64-linux]
..........................----------------------.......................----..---.----.----.---.---.---.---.-----.---.---..............----------------------...........----------------------.

22 scenarios (22 passed)
175 steps (175 passed)
16m43.482s

          -----------------------------------------------------------
                       End Output From Runtime Group 4 Tests
          -----------------------------------------------------------




Expected results:

- < 5 mins
- Better granularity on retries.  The runtime basics tests often fails and takes a long time to retry
Comment 1 John Poelstra 2012-08-01 14:36:40 EDT
"nice to have" for this release
Comment 2 Mike McGrath 2012-08-29 14:26:06 EDT
This is ever ongoing.

Note You need to log in before you can comment on or make changes to this bug.